/*
  Program:      Mine Mayhem
  File: 	sound.h
  Date: 	26 October to 3 December,  version 2.00.

  Definitions for the sound configuration dialog box.

  Freeware, Copyright 1996-7 Jason Hood.

  You are free to use this code, or a portion thereof, as long as an
  appropriate acknowledgement is made.
*/

#ifndef _sound_h
#define _sound_h

#include <tws/sb.h>
#include <tws/tabwin.h>
#include <tws/checkbox.h>
#include <tws/button.h>


extern SOUND_SAMPLE *open_snd, *mark_snd, *win_snd, *die_snd;
extern bool isSound, OpenSnd,	MarkSnd,   WinSnd,   DieSnd;


class SoundDlg : public TabWin
{
public:
  SoundDlg();
  ~SoundDlg();

  void Run();

protected:
  void PaintWindow(int x1, int y1, int x2, int y2);

  void cmOK();
  void cmCancel();

  DECLARE_RESPONSE_TABLE;

  CheckBox *sound,
	   *open, *mark,
	   *win,  *die;
  TextButton *OK, *Cancel;
  int isOK;
};

#endif
